# Welcome to your Morph project!

本ドキュメントでは、Morph プロジェクトの基本的な構造とファイルについて説明します。プロジェクトの運用の始める前に、是非ご一読ください。

## 目次

- [プロジェクト概要](#プロジェクト概要)
- [ディレクトリ構成](#ディレクトリ構成)
- [Morph YAML ファイル](#morph-yaml-ファイル)
- [ファイルの編集と更新](#ファイルの編集と更新)
- [ローカル環境での設定反映](#ローカル環境での設定反映)
- [サポート](#サポート)

## プロジェクト概要

このプロジェクトは、データパイプラインを構築および管理するための Morph プロジェクトです。 `morph-cli`
を使用して作成され、プロジェクトの設定や管理に必要な基本的な構造とファイルを含んでいます。

## ディレクトリ構成

```plaintext
├── data/
│   └── outputs/
├── src/
│   ├── example_python_cell.py
│   └── example_sql_cell.sql
├── knowledge/
│   └── README.md
├── .env
├── .gitignore
├── morph_project.sqlite3
├── morph.yaml
├── pyproject.toml
└── README.md
```

- `data/`: CSVファイルなどのデータファイルを保存するディレクトリ。デフォルト設定の場合に、セルの実行結果はこのディレクトリに保存されます。
- `src/`: Python や SQL のセルファイルが格納されるディレクトリ。
- `knowledge/`: プロジェクトに関するドキュメントやノートを保存するためのディレクトリ。
- `.env`: 環境変数を設定するファイル。
- `.gitignore`: Git に含めたくないファイルやディレクトリを指定するファイル。
- `morph_project.sqlite3`: プロジェクトの SQLite データベースファイル。
- `morph.yaml`: プロジェクトの設定ファイル。
- `pyproject.toml`: Python プロジェクトの設定ファイル。
- `README.md`: プロジェクトの説明ファイル。

## Morph YAML ファイル

`morph.yaml` は、このプロジェクトの管理用ファイルであり、プロジェクトの基本設定を記述しています。このファイルには、データパイプラインの構成や各セルのパス、出力先などの情報が含まれています。

## ファイルの編集と更新

プロジェクト内のファイルを編集または新規作成した場合、必要に応じて `morph.yaml`
を手動で更新する必要があります。これにより、新しいファイルや変更されたファイルがプロジェクトの設定に正しく反映されます。

## ローカル環境での設定反映

Cloud版では不要となりますが、ローカル環境で本プロジェクトを運用する場合は、 `morph.yaml`
を編集した後にプロジェクトの設定を反映するために以下のコマンドを実行する必要があります：

```bash
morph sync
```

このコマンドは、 morph.yaml の内容をプロジェクトに反映し、正しく設定を適用します。

## サポート

プロジェクトに関する質問やサポートが必要な場合は、[公式ドキュメント](https://docs.morphdb.io) をご参照いただくか、サポートチームにお問い合わせください。サポートチームへのお問い合わせは、[Discord サーバー](https://discord.gg/BGmpQQUEUZ) をご利用ください。
